<?php
include_once "EnigmeFactory.php";
include_once "../Model/Partie.php";
class PartieFactory{
    public static function createPartie($idMax,$resultsEnigme) : Partie
    {
        $tempsResolutionPartie=0;
        $tabEnigme=array();
        $tabIndex=range(0,strlen($resultsEnigme)-1);
        $randomNumber=0;
        while($tempsResolutionPartie <= 30)
        {
            $randomNumber=$tabIndex[array_rand($tabIndex)];
            $tabEnigme=EnigmeFactory::create($resultsEnigme[$randomNumber]);
            $TempsResolutionPartie+=$resultsEnigme[$randomNumber]['tempsDeResolution'];
            unset($tabIndex[$randomNumber]);
        }
        $partie=new Partie($idMax,$resultsEnigme);
        return $partie;
    }
}